/*********************
Background colour based on brightness
*********************/

@mixin smart_background ( $color ) {
	// do some smart maths to determine if we
	// should go brighter or darker
	$brightness: lightness($color);
	background-color: $color;

	@if ($brightness > 50%) {
		&:hover, &:focus {
			background-color: darken($color, 10%);
		}
	} @else {
		&:hover, &:focus {
			background-color: lighten($color, 10%);
		}
	}
}

@mixin smart_color( $color ) {
	// do some smart maths to determine if we
	// should go brighter or darker
	$brightness: lightness($color);
	color: $color;

	@if ($brightness > 70%) {
		color: $text;
	} @else {
		color: white;
	}
}